Package org.apache.tapestry5.internal.transform

## Class EnvironmentalWorker

- java.lang.Object
- - org.apache.tapestry5.internal.transform.EnvironmentalWorker

- All Implemented Interfaces:
    `ComponentClassTransformWorker2`

      public class EnvironmentalWorker
      extends java.lang.Object
      implements ComponentClassTransformWorker2

  Obtains a value from the `Environment` service based on the field type. This is triggered by the presence of the `Environmental` annotation.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EnvironmentalWorker​(Environment environment, ComponentClassCache classCache)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `transform​(PlasticClass plasticClass, TransformationSupport support, MutableComponentModel model)` | Invoked to perform part of the transformation of the `PlasticClass`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnvironmentalWorker

          public EnvironmentalWorker​(Environment environment,
                                     ComponentClassCache classCache)

  - ### Method Detail

    - #### transform

          public void transform​(PlasticClass plasticClass,
                                TransformationSupport support,
                                MutableComponentModel model)

      Description copied from interface: `ComponentClassTransformWorker2`
      Invoked to perform part of the transformation of the `PlasticClass`.
      Specified by:
        `transform` in interface `ComponentClassTransformWorker2`
      Parameters:
        `plasticClass` - component class being transformed
        `support` - additional utilities needed during the transformation
        `model` - the model for the component being transformed